lp:ubuntu/lucid/gnuplot-mode

Created by James Westby and last modified
Get this branch:
bzr branch lp:ubuntu/lucid/gnuplot-mode
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

7. By Vincent Fourmond

* Do not ignore any flavor of emacs by default (closes: #540810)
* Now conforms to standards 3.8.3
* Choose emacs23 as first choice for dependencies
* Bump debhelper compatibility level

6. By Vincent Fourmond

* New maintainer (closes: 503549). Many thanks to Ryuichi Arafune for
  maintaining gnuplot-mode before and Agustin Martin Domingo and
  Romain Francoise for their NMUs
* Using a git repository for tracking
* Added a Homepage field
* Added a debian/README.source file, so that package now conforms to
  standards 3.8.0
* Clarified debian/copyright to actually include a copyright notice
* Fixed upstream's download location in debian/copyright
* Adding emacs22 | xemacs21 as an alternative to the virtual package
  emacsen

5. By Agustin Martin Domingo <email address hidden>

* Non-maintainer upload.
* debian/{compat,rules} use compat file and raise level.
* debian/rules:
  - Move package build debhelper commands to build-indep
  - Add dpatch support.
  - Remove some unneeded commands.
* debian/control:
  - Raise debhelper dependency and add dpatch one.
  - Raised Standards value.
* debian/emacsen-startup:
  - Fix regexp (Closes: #446172).
  - Use debian-pkg-add-load-path-item
* debian/conffiles: Removed, dh_installemacsen will take care.
* debian/{postinst,prerm}: Removed. debhelper will take care.
* debian/copyright: Fixed copyright version.
* debian/patches/500_gnuplot.el_make-variable-buffer-local.dpatch (new):
  - No need to explicitly set buffer-local font-lock-defaults,
    it will automatically be set (Closes: #384977).
* debian/patches/850_gnuplot.el_fix-obsolete-backquotes.dpatch (new):
  - Do not use obsolete old-style backquotes and ',' markers
    (Closes: #451942).

4. By Romain Francoise

* NMU
* debian/emacsen-install: Support emacs-snapshot (closes: #341285, #348878).

3. By Ryuichi Arafune <email address hidden>

* New upstream version.
* closes: fix typo in Description. closes: #203487

2. By Ryuichi Arafune <email address hidden>

50gnuplot-mode.el as conffile. closes: #132205

1. By Ryuichi Arafune <email address hidden>

Import upstream version 0.5q

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/gnuplot-mode
This branch contains Public information 
Everyone can see this information.

Subscribers